| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Functions
rwSPIDER.h File Reference

Header file for reading and writing SPIDER files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Classes
struct | SPIDERhead

## Macros
#define | SPIDERSIZE 1024

## Functions
int | readSPIDER (Bimage *p, int readdata, int img_select)
| Reading a SPIDER image file format. More...
int | writeSPIDER (Bimage *p)
| Writing a SPIDER image file format. A 3D image format used in electron microscopy. More...

## Detailed Description

Header file for reading and writing SPIDER files.

Author
  Bernard Heymann

Date
  Created: 19990410
  Modified: 20010928

      Format: 3D image file format for the SPIDER package

Definition in file rwSPIDER.h.

## Macro Definition Documentation

## ◆ SPIDERSIZE

#define SPIDERSIZE 1024

Definition at line 13 of file rwSPIDER.h.

## Function Documentation

## ◆ readSPIDER()

int readSPIDER | ( | Bimage * | p,
|  | int | readdata,
|  | int | img_select
| ) |  |

Reading a SPIDER image file format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.
  img_select | image selection in multi-image file (-1 = all images).

Returns
  int error code (<0 means failure). A 3D multi-image format used in electron microscopy. Header size: 1024 bytes (not same as data offset!). Data offset: sizeof(float)*x_size*ceil(1024/x_size) File format extensions: .spi The identifier is a 4-byte machine stamp: 1 Big-endian IEEE 17 17 00 00 2 VAX 34 65 00 00 3 Cray - 4 Little-endian IEEE 68 65 00 00 5 Convex 85 17 00 00 6 Fijitsu VP - (Note: not always implemented - so unreliable) Byte order determination: File type and third dimension values must be less than 256*256. Data type: only float. Transform type: Hermitian The x-dimension contains the x-size of the full transform A multi-image file has a global header followed by a header and data for each sub-image.

Definition at line 82 of file rwSPIDER.cpp.

## ◆ writeSPIDER()

int writeSPIDER | ( | Bimage * | p | ) |

Writing a SPIDER image file format. A 3D image format used in electron microscopy.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure).

Definition at line 243 of file rwSPIDER.cpp.